# Uses of Enum Class
org.bukkit.event.player.PlayerLoginEvent.Result

Packages that use PlayerLoginEvent.Result
Package
Description
org.bukkit.event.player
`Events` relating to `players`.

## Uses of PlayerLoginEvent.Result in org.bukkit.event.player

Methods in org.bukkit.event.player that return PlayerLoginEvent.Result
Modifier and Type
Method
Description
`@NotNull PlayerLoginEvent.Result`
PlayerLoginEvent.`getResult()`
Gets the current result of the login, as an enum
`static PlayerLoginEvent.Result`
PlayerLoginEvent.Result.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerLoginEvent.Result[]`
PlayerLoginEvent.Result.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.event.player with parameters of type PlayerLoginEvent.Result
Modifier and Type
Method
Description
`void`
PlayerLoginEvent.`disallow(@NotNull PlayerLoginEvent.Result result, @NotNull String message)`
Deprecated.
in favour of `PlayerLoginEvent.disallow(Result, net.kyori.adventure.text.Component)`
`void`
PlayerLoginEvent.`disallow(@NotNull PlayerLoginEvent.Result result, Component message)`
Disallows the player from logging in, with the given reason
`void`
PlayerLoginEvent.`setResult(@NotNull PlayerLoginEvent.Result result)`
Sets the new result of the login, as an enum
Constructors in org.bukkit.event.player with parameters of type PlayerLoginEvent.Result
Modifier
Constructor
Description
``
`PlayerLoginEvent(@NotNull Player player, @NotNull String hostname, @NotNull InetAddress address, @NotNull PlayerLoginEvent.Result result, @NotNull String message, @NotNull InetAddress realAddress)`
Deprecated.
in favour of `PlayerLoginEvent(Player, String, InetAddress, Result, net.kyori.adventure.text.Component, InetAddress)`
``
`PlayerLoginEvent(@NotNull Player player, @NotNull String hostname, @NotNull InetAddress address, @NotNull PlayerLoginEvent.Result result, Component message, @NotNull InetAddress realAddress)`
This constructor pre-configures the event with a result and message